package jp.co.celestee.ai.interfaces.image;

import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.external.rule.light.LightRuleData;

public class ImageDataConverter {

	/**
	 * [̎hf[^AI̓dCM֕ϊ܂B
	 * @param ruleData
	 * @return
	 */
	public static DefaultDataCooperationSignal change(LightRuleData ruleData) {
		
		ImageColor color = new ImageColor(
				ruleData.getColor().getRed(), ruleData.getColor().getGreen(), ruleData.getColor().getBlue(), ruleData.getColorName());
		ImagePolygon polygon = new ImagePolygon(
				ruleData.getXpoints(), ruleData.getYpoints(), ruleData.getXpoints().length, ruleData.getAddX(), ruleData.getAddY(), ruleData.getPolygonString());
		
		ImageSignalData isData = new ImageSignalData(color, polygon);
		
		DefaultDataCooperationSignal signal = new DefaultDataCooperationSignal();
		signal.setElectricPotential(ruleData.getPotential());
		signal.setSignalData(isData);

		return signal;
	}

}
