package jp.co.celestee.ai.interfaces.body.trigger;

import jp.co.celestee.ai.core.signal.SignalDataIF;
import jp.co.celestee.ai.interfaces.body.BodyFeelConst;
import jp.co.celestee.ai.interfaces.body.BodySignalData;
import jp.co.celestee.ai.interfaces.body.BodySubstance;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.ai.interfaces.output.AbstractOutputTrigger;

/**
 * AIo͂s܂B
 * @author celestee
 *
 */
public class BodyWalkTrigger extends AbstractOutputTrigger {

	@Override
	public void initSignalData(SignalDataIF signalData) {
		BodySignalData bsData = (BodySignalData)signalData;
		bsData.setFeel(BodyFeelConst.WALK);
	}

	@Override
	public void runTrigger(SignalDataIF signalData) {
		
		DefaultDataCooperationSignal signal = new DefaultDataCooperationSignal();
		signal.setElectricPotential(getElectricPotential());
		signal.setSignalData(signalData);
		
		//o܂łɃn[h̎Ԃ̂Ƃ
		try{
			Thread.sleep(500);
		}
		catch(Exception e) {
			e.printStackTrace();
		}
		
		BodySubstance.getInstance().inputDataFromAI(signal);
		
		//̂ɎԂ(ꂪƘAOUTPUT\BEƓ)
		try{
			Thread.sleep(500);
		}
		catch(Exception e) {
			e.printStackTrace();
		}

	}

}
