package jp.co.celestee.ai.interfaces.characterout;

import jp.co.celestee.ai.interfaces.output.AbstractOutputId;

public class CharacterOutOutputId extends AbstractOutputId {

	private static final long serialVersionUID = 1L;

	private static final Class<?> _triggerClass = CharacterOutOutputTrigger.class;
	
	private static final Class<?> _signalDataClass = CharacterOutSignalData.class;

	@Override
	public Class<?> getTriggerClass() {
		return _triggerClass;
	}

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof CharacterOutOutputId) {
			return true;
		}
		
		return false;
	}

}
