package jp.co.celestee.ai.interfaces.image;

import jp.co.celestee.ai.external.human.HumanWordsIF;
import jp.co.celestee.ai.interfaces.output.AbstractOutputId;
import jp.co.celestee.ai.interfaces.output.DataSyntheticIF;

/**
 * 摜p̏oID
 * @author celestee
 *
 */
public class ImageOutputId extends AbstractOutputId implements DataSyntheticIF{

	private static final long serialVersionUID = 1L;

	private static final Class<?> _triggerClass = ImageOutputTrigger.class;
	
	private static final Class<?> _signalDataClass = ImageSignalData.class;

	@Override
	public Class<?> getTriggerClass() {
		return _triggerClass;
	}

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof ImageOutputId) {
			return true;
		}
		
		return false;
	}

	@Override
	public String getSupposingItSaysInMansWords() {
		return "image ( " + ((HumanWordsIF)getInnerOption()).getSupposingItSaysInMansWords() + " )";
	}

}
