package jp.co.celestee.ai.interfaces.status;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Polygon;
import java.awt.image.BufferedImage;

import javax.swing.JComponent;

@SuppressWarnings("serial")
public class JRetina extends JComponent{

	private int squareWide = 96;					// }Xڂ̕

	private Image  offScreenImg;					// ItXN[
	private Graphics grf;
   	
	private int width = squareWide * 2;
	private int height = squareWide * 2;
	
	private Color _color = null;
	private Polygon _polygon = null;

	public JRetina() {
		init();
	}
	
	public void init(){
		// ItXN[̐ݒ
		offScreenImg = getImage();
		grf = offScreenImg.getGraphics();

	}
	
	public void setColor(Color color) {
		_color = color;
	}

	public void setPolygon(Polygon polygon) {
		_polygon = polygon;
	}
	
	public void paint(Graphics g) {
		update(g);
	}

	public void update(Graphics g){

		//MAP̕`
		grf.setColor(Color.white);
		grf.fillRect(0, 0, squareWide, squareWide);
		
		//Ao^[̕`
		if(_color != null) {
			grf.setColor(_color);
		}
		if(_polygon != null) {
			grf.fillPolygon(_polygon);
		}
		
		// ItXN[̃C[WꋓɎۂ̕\̈ɕ`
		g.drawImage(offScreenImg, 0, 0, this);	

	}

	BufferedImage getImage() {
		
		BufferedImage bi = new BufferedImage(width, height, BufferedImage.TYPE_INT_ARGB);
		Graphics g = bi.createGraphics();
		paintComponent(g);
		return bi;
	}
	
	void setImage(Image img) {
		offScreenImg = img;
		repaint();
	}
	
	@Override
	protected void paintComponent(Graphics g) {
		if(offScreenImg != null){
			int w = offScreenImg.getWidth(this);
			int h = offScreenImg.getHeight(this);
			if(w != width || h != height){
				width = w;
				height = h;
				this.setPreferredSize(new Dimension(width, height));
			}
			g.drawImage(offScreenImg, 0, 0, this);
		}
	}
}
